Page MenuHomePhabricator

Migrate VisualEditor core npm CI job to Nodepool
Closed, ResolvedPublic0 Estimated Story Points

Event Timeline

Jdforrester-WMF lowered the priority of this task from Medium to Low.Mar 1 2016, 12:50 AM
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
hashar added a comment.EditedMar 8 2016, 3:47 PM
00:03:42.305 Running "karma:main" (karma) task
00:03:47.188 08 03 2016 15:46:16.706:INFO [karma]: Karma v0.13.21 server started at http://localhost:9876/
00:03:47.197 08 03 2016 15:46:16.717:INFO [launcher]: Starting browser Chrome
00:03:47.198 08 03 2016 15:46:16.718:ERROR [launcher]: No binary for Chrome browser on your platform.
00:03:47.198   Please, set "CHROME_BIN" env variable.
00:03:47.208 Warning: Task "karma:main" failed. Use --force to continue.

Waiting for https://gerrit.wikimedia.org/r/#/c/274441/ to be merged so VisualEditor can submodule update in npm.

Per https://phabricator.wikimedia.org/T119143#2026030, npm still must still be upgraded. I noticed the dependency tree is quite different between the experimental npm-node-4.3 build and the current npm build. It seems to pass but please don't rely on this.

https://integration.wikimedia.org/ci/job/npm-node-4.3/265/consoleFull

00:00:06.299 + mkdir -p /home/jenkins/workspace/npm-node-4.3/log
00:00:06.300 + node --version
00:00:06.303 v4.3.0
00:00:06.305 + npm --version
00:00:07.057 1.4.21
00:00:07.060 + npm install

Change 276200 had a related patch set uploaded (by Paladox):
[VisualEditor/VisualEditor] Switch npm to npm-node-4.3

https://gerrit.wikimedia.org/r/276200

Change 276200 merged by jenkins-bot:
[VisualEditor/VisualEditor] Switch npm to npm-node-4.3

https://gerrit.wikimedia.org/r/276200

hashar closed this task as Resolved.Mar 10 2016, 11:46 AM
hashar claimed this task.

Solved after a lot of mad blockers got solved. Special thanks to @Paladox for the extra help!

Jdforrester-WMF set the point value for this task to 0.Apr 28 2016, 1:32 AM